## tortoisehg 0.9.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf build/*

html:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

zip: html
	(cd build ; zip TortoiseHg.html.zip -r html)

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: pickle

json:
	mkdir -p build/json build/doctrees
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

=== debian/changelog ===
tortoisehg (0.9.2-1ubuntu1) lucid; urgency=low

  * Add disable-stdout-redirect.patch: fix dangling process with python 2.6
    (LP: 519984).

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 25 Feb 2010 21:59:57 -0800

tortoisehg (0.9.2-1) unstable; urgency=low

  [ Ludovico Cavedon ]
  * New upstream release.
  * Remove references to quilt from debian/rules in order to allow unpacking
    with lenny's dpkg.
  * Revert to not installing _hgtk (zhs completions), but leave it in
    doc/contrib, as upstream say it is not up-to-date.

  [ Max Bowsher ]
  * Drop both preserve-version.patch and __version__.py munging code in
    debian/rules, upstream have improved their setup.py such that this is no
    longer needed.

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 04 Jan 2010 15:31:14 +0100

tortoisehg (0.9.1.1-1) unstable; urgency=low

  [ Max Bowsher ]
  * New upstream release.
  * Upstream no longer ships HTML documentation, we must build it - add
    builddep on python-sphinx to allow this.
  * Loosen overly strict regex on the debian revision
    (facilitate backports, third-party builds, etc.)

  [ Ludovico Cavedon ]
  * Lower depends on python to 2.4, according to upstream.
  * Install _hgtk (zhs completions) into proper location for zsh.
  * Use newer source format 3.0 (quilt). 
  * Update Maintainer and remove DM-Upload-Allowed.
  * Update Upstream Homepage.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 27 Dec 2009 23:26:09 +0100

tortoisehg (0.9-1) unstable; urgency=low

  [ Ludovico Cavedon ]
  * New upstream release (Closes: #557263).
  * Update copyright file.
  * Bump mercurial dependency to 1.4.
  * Specify minimum version for pyobject and pygtk dependencies.
  * Set Python-Version to current.
  * Replace fix-license-path.patch with add-config-file.patch: the whole
    config file needs to be provided.
  * Remove avoid-double-locale-install.patch (merged upstream).
  * Add preserve-version.patch to prevent setup.py from overriding the package
    version (but still fix it by hand after clean, as patches are unapplied
    before calling setup.py).
  * Include html documentation registered with doc-base (and recommend
    libjs-jquery).
  * Recommend python-iniparse.

  [ Max Bowsher ]
  * Remove obsolete note about repacking from README.source.
  * Drop python from Depends, ${python:Depends} will add it automatically.
  * Depend on mercurial, not mercurial-common.
  * Add Format-Specification line to debian/copyright, and tidy.
  * Change section to 'vcs'.
  * Narrow builddep from python-dev to python.
  * With agreement of maintainer, add myself to Uploaders.

 -- Ludovico Cavedon <ludovico.cavedon@gmail.com>  Tue, 24 Nov 2009 21:47:15 -0800

tortoisehg (0.8+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #535902).
  * Merge changes from Max Bowsher Ubuntu PPA package:
    - update copyright statement
    - fix-license-path.patch

 -- Ludovico Cavedon <ludovico.cavedon@gmail.com>  Tue, 29 Sep 2009 16:15:03 -0700

=== debian/control ===
Source: tortoisehg
Section: vcs
Priority: optional
Maintainer: Ludovico Cavedon <cavedon@debian.org>
Uploaders: Max Bowsher <maxb@f2s.com>
Build-Depends: debhelper (>= 7), cdbs (>= 0.4.49), python (>= 2.4), quilt
Build-Depends-Indep: python-support (>= 0.5.3), docbook-xsl, docbook-xml,
 xsltproc, python-sphinx
Standards-Version: 3.8.3
Homepage: http://tortoisehg.bitbucket.org/
Vcs-Git: git://git.debian.org/git/collab-maint/tortoisehg.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/tortoisehg.git
XS-Python-Version: current

Package: tortoisehg
Architecture: all
Depends: mercurial (>= 1.4), python-gobject (>= 2.12.1),
 python-gtk2 (>= 2.10), python-cairo, ${shlibs:Depends}, ${misc:Depends},
 ${python:Depends}
Recommends: libjs-jquery, python-iniparse
Suggests: tortoisehg-nautilus
XB-Python-Version: ${python:Versions}
Description: Graphical tool for working with Mercurial
 TortoiseHg provides a graphical tool for interacting with the distributed
 revision control system Mercurial.  GUI support is provided for over a dozen
 operations, including add files, commit changes, manage ignore filter, view
 change log, merge, recover/rollback, edit configuration, synchronize
 repository, and many others.   The highlight is the interactive commit tool
 which allows easy selection of diffs from multiple files and packaging into
 changesets, and which is more powerful and easier to use than available
 alternatives such as qct and hgct (commit-tool).

Package: tortoisehg-nautilus
Architecture: all
Depends: tortoisehg (>= ${source:Version}), python-nautilus,
 python-gobject (>= 2.12.1), python-gtk2 (>= 2.10), ${misc:Depends},
 ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: Graphical tool for working with Mercurial (Nautilus extension)
 TortoiseHg provides a graphical tool for interacting with the distributed
 revision control system Mercurial.  GUI support is provided for over a dozen
 operations, including add files, commit changes, manage ignore filter, view
 change log, merge, recover/rollback, edit configuration, synchronize
 repository, and many others.   The highlight is the interactive commit tool
 which allows easy selection of diffs from multiple files and packaging into
 changesets, and which is more powerful and easier to use than available
 alternatives such as qct and hgct (commit-tool).
 .
 This package contains the Nautilus extension for TortoiseHg.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_INSTALL_DOCS_tortoisehg="--exclude=nautilus-thg.py"
DEB_COMPRESS_tortoisehg="-X.js -X_static/* -X _sources/*"

build/tortoisehg:: debian/hgtk.1
	$(MAKE) -C doc html

debian/hgtk.1: debian/hgtk.1.xml
	xsltproc --nonet \
		--param make.year.ranges 1 \
		--param make.single.year.ranges 1 \
		--param man.charmap.use.subset 0 \
		-o debian/ \
		/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
		debian/hgtk.1.xml

binary-post-install/tortoisehg::
	ln -sf ../../../../javascript/jquery/jquery.js \
	    debian/tortoisehg/usr/share/doc/tortoisehg/html/_static/jquery.js

# drop automatically created file; see #424898
clean::
	rm -f debian/pycompat
	rm -f debian/hgtk.1
	rm -fr locale doc/build
	# patches are removed before calling clean, so we need to fix what setup.py did wrong
	rm tortoisehg/util/config.py

=== debian/watch ===
version=3
opts=dversionmangle=s/[\+~]dfsg\d+// http://bitbucket.org/tortoisehg/stable/downloads/ tortoisehg-(.*)\.tar\.gz
# the following line can be used to get the latest version from HG tags
#opts=dversionmangle=s/[\+~]dfsg\d+// http://bitbucket.org/tortoisehg/stable/downloads/ /tortoisehg/stable/get/(0.*)\.gz

## tortoisehg 1.1.1

=== debian/changelog ===
tortoisehg (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Set minimum mercurial dependecy to version 1.6 (Closes: #589503).

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 18 Jul 2010 16:41:12 +0200

tortoisehg (1.1-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file.
  * Update Standards-Version to 3.9.0.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 02 Jul 2010 18:19:44 +0200

tortoisehg (1.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 12 Jun 2010 02:20:19 -0700

tortoisehg (1.0.3-1) unstable; urgency=low

  * New upstream release:
    - Which drops ReleaseNotes.txt, update packaging accordingly.

 -- Max Bowsher <maxb@f2s.com>  Thu, 13 May 2010 23:49:52 +0100

tortoisehg (1.0.2-1) unstable; urgency=low

  [ Max Bowsher ]
  * New upstream release.

  [ Ludovico Cavedon ]
  * Add ReleaseNotes-update.patch: update upstream changelog
    (Closes: #579782).

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 05 May 2010 00:24:08 -0700

tortoisehg (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Upstream have flipflopped again on including the docs in the tarball,
    re-enable docs build, re-adding python-sphinx build-dep.

 -- Max Bowsher <maxb@f2s.com>  Sat, 03 Apr 2010 18:05:20 +0100

tortoisehg (1.0-1) unstable; urgency=low

  [ Max Bowsher ]
  * New upstream release.
  * Drop disable-stdout-redirect.patch, included in this version.
  * Drop python-sphinx build-dep, use upstream's pre-built docs, which are now
    present in the tarball again.

  [ Ludovico Cavedon ]
  * Install contrib/mergetools.rc as /etc/mercurial/hgrc.d/thgmergetools.rc.

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 10 Mar 2010 09:27:19 +0100

tortoisehg (0.9.3-2) unstable; urgency=low

  * Add disable-stdout-redirect.patch: fix dangling process with python 2.6
    (LP: 519984).
  * Update Standards-Version to 3.8.4.
  * Set XS-Python-Version to >= 2.4 (Closes: #570576).

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 19 Feb 2010 19:57:37 -0800

tortoisehg (0.9.3-1) unstable; urgency=low

  * Update watch file for changed upstream download location.
  * New upstream release.

 -- Max Bowsher <maxb@f2s.com>  Wed, 03 Feb 2010 08:39:50 +0000

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: debhelper (>= 7), cdbs (>= 0.4.49), python (>= 2.4), quilt
 Build-Depends-Indep: python-support (>= 0.5.3), docbook-xsl, docbook-xml,
  xsltproc, python-sphinx
-Standards-Version: 3.8.3
+Standards-Version: 3.9.0
 Homepage: http://tortoisehg.bitbucket.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/tortoisehg.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/tortoisehg.git
-XS-Python-Version: current
+XS-Python-Version: >= 2.4
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 1.4), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 1.6), python-gobject (>= 2.12.1),
  python-gtk2 (>= 2.10), python-cairo, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, python-iniparse

## tortoisehg 1.1.4

=== debian/changelog ===
tortoisehg (1.1.4-1ubuntu1) natty; urgency=low

  * Add wrap-mercurial-17.patch in iorder to work with mercurial 1.7
    (LP: #76862).

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 21 Apr 2011 15:35:57 -0700

tortoisehg (1.1.4-1) experimental; urgency=low

  [ Max Bowsher ]
  * New upstream release.

  [ Ludovico Cavedon ]
  * Depend on mercurial << 1.8.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 26 Oct 2010 17:24:13 -0700

tortoisehg (1.1.3-1) experimental; urgency=low

  * New upstream release.
  * Add dependecy on python-gnome2 for nautilus plugin (LP: #617235).
  * Bump Standards-Version to 3.9.1.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 31 Aug 2010 21:40:49 -0700

tortoisehg (1.1.2-1) experimental; urgency=low

  * New upstream release.

 -- Max Bowsher <maxb@f2s.com>  Wed, 04 Aug 2010 16:50:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: tortoisehg
 Section: vcs
 Priority: optional
-Maintainer: Ludovico Cavedon <cavedon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Uploaders: Max Bowsher <maxb@f2s.com>
 Build-Depends: debhelper (>= 7), cdbs (>= 0.4.49), python (>= 2.4), quilt
 Build-Depends-Indep: python-support (>= 0.5.3), docbook-xsl, docbook-xml,
  xsltproc, python-sphinx
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://tortoisehg.bitbucket.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/tortoisehg.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/tortoisehg.git
@@ -14,7 +15,7 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 1.6), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 1.6), mercurial (<< 1.8), python-gobject (>= 2.12.1),
  python-gtk2 (>= 2.10), python-cairo, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, python-iniparse
@@ -33,8 +34,8 @@
 Package: tortoisehg-nautilus
 Architecture: all
 Depends: tortoisehg (>= ${source:Version}), python-nautilus,
- python-gobject (>= 2.12.1), python-gtk2 (>= 2.10), ${misc:Depends},
- ${python:Depends}
+ python-gobject (>= 2.12.1), python-gtk2 (>= 2.10), python-gnome2,
+ ${misc:Depends}, ${python:Depends}
 XB-Python-Version: ${python:Versions}
 Description: Graphical tool for working with Mercurial (Nautilus extension)
  TortoiseHg provides a graphical tool for interacting with the distributed

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
 
-DEB_INSTALL_DOCS_tortoisehg="--exclude=nautilus-thg.py"
+DEB_INSTALL_DOCS_tortoisehg=--exclude=nautilus-thg.py --exclude=mergetools.rc
 DEB_COMPRESS_tortoisehg="-X.js -X_static/* -X _sources/*"
 
 build/tortoisehg:: debian/hgtk.1
@@ -21,6 +21,10 @@
 		/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
 		debian/hgtk.1.xml
 
+install/tortoisehg::
+	mkdir -p debian/tmp/etc/mercurial/hgrc.d/
+	install -o 0 -g 0 -m 644 contrib/mergetools.rc debian/tmp/etc/mercurial/hgrc.d/thgmergetools.rc
+
 binary-post-install/tortoisehg::
 	ln -sf ../../../../javascript/jquery/jquery.js \
 	    debian/tortoisehg/usr/share/doc/tortoisehg/html/_static/jquery.js

=== debian/watch ===
version=3
opts=dversionmangle=s/[\+~]dfsg\d+// http://bitbucket.org/tortoisehg/targz/downloads/ tortoisehg-(.*)\.tar\.gz
# the following line can be used to get the latest version from HG tags
#opts=dversionmangle=s/[\+~]dfsg\d+// http://bitbucket.org/tortoisehg/stable/downloads/ /tortoisehg/stable/get/(0.*)\.gz

## tortoisehg 2.0.3

=== debian/changelog ===
tortoisehg (2.0.3-1) unstable; urgency=low

  * Imported Upstream version 2.0.3
  * tortoisehg-nautilus recommends ssh-askpass (Closes: #620121).

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 01 Apr 2011 20:02:00 -0700

tortoisehg (2.0.2-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file.
  * Depend on PyQt4 libraries rather than on PyGtk.
  * Rename manpage from hgtk to thg.
  * No longer include _hgtk zsh completion file.
  * Install wrapper script hgtk and add manpage link for it (LP: #732328).
  * Update manpage with new options and commands.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 18 Mar 2011 19:57:13 -0700

tortoisehg (1.1.9.1-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 15 Feb 2011 14:45:53 -0800

tortoisehg (1.1.8-1) experimental; urgency=low

  * New upstream release.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 30 Jan 2011 18:43:13 -0800

tortoisehg (1.1.7-1) experimental; urgency=low

  [ Max Bowsher ]
  * New upstream release.

  [ Ludovico Cavedon ]
  * Update dependecy on mercurial to 1.7.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 17 Dec 2010 12:50:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: tortoisehg
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ludovico Cavedon <cavedon@debian.org>
+Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Uploaders: Max Bowsher <maxb@f2s.com>
 Build-Depends: debhelper (>= 7), cdbs (>= 0.4.49), python (>= 2.4), quilt
 Build-Depends-Indep: python-support (>= 0.5.3), docbook-xsl, docbook-xml,
- xsltproc, python-sphinx
+ xsltproc, python-sphinx, pyqt4-dev-tools
 Standards-Version: 3.9.1
 Homepage: http://tortoisehg.bitbucket.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/tortoisehg.git
@@ -15,10 +14,10 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 1.6), mercurial (<< 1.8), python-gobject (>= 2.12.1),
- python-gtk2 (>= 2.10), python-cairo, ${shlibs:Depends}, ${misc:Depends},
+Depends: mercurial (>= 1.8), mercurial (<< 1.10), python-gobject (>= 2.12.1),
+ python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
-Recommends: libjs-jquery, python-iniparse
+Recommends: libjs-jquery, python-iniparse, python-pygments
 Suggests: tortoisehg-nautilus
 XB-Python-Version: ${python:Versions}
 Description: Graphical tool for working with Mercurial
@@ -36,6 +35,7 @@
 Depends: tortoisehg (>= ${source:Version}), python-nautilus,
  python-gobject (>= 2.12.1), python-gtk2 (>= 2.10), python-gnome2,
  ${misc:Depends}, ${python:Depends}
+Recommends: ssh-askpass-gnome | ssh-askpass
 XB-Python-Version: ${python:Versions}
 Description: Graphical tool for working with Mercurial (Nautilus extension)
  TortoiseHg provides a graphical tool for interacting with the distributed

=== debian/rules ===
--- 
+++ 
@@ -9,17 +9,17 @@
 DEB_INSTALL_DOCS_tortoisehg=--exclude=nautilus-thg.py --exclude=mergetools.rc
 DEB_COMPRESS_tortoisehg="-X.js -X_static/* -X _sources/*"
 
-build/tortoisehg:: debian/hgtk.1
+build/tortoisehg:: debian/thg.1
 	$(MAKE) -C doc html
 
-debian/hgtk.1: debian/hgtk.1.xml
+debian/thg.1: debian/thg.1.xml
 	xsltproc --nonet \
 		--param make.year.ranges 1 \
 		--param make.single.year.ranges 1 \
 		--param man.charmap.use.subset 0 \
 		-o debian/ \
 		/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
-		debian/hgtk.1.xml
+		debian/thg.1.xml
 
 install/tortoisehg::
 	mkdir -p debian/tmp/etc/mercurial/hgrc.d/
@@ -28,11 +28,12 @@
 binary-post-install/tortoisehg::
 	ln -sf ../../../../javascript/jquery/jquery.js \
 	    debian/tortoisehg/usr/share/doc/tortoisehg/html/_static/jquery.js
+	ln -sf thg.1.gz debian/tortoisehg/usr/share/man/man1/hgtk.1.gz
 
 # drop automatically created file; see #424898
 clean::
 	rm -f debian/pycompat
-	rm -f debian/hgtk.1
+	rm -f debian/thg.1
 	rm -fr locale doc/build
 	# patches are removed before calling clean, so we need to fix what setup.py did wrong
 	rm tortoisehg/util/config.py

## tortoisehg 2.1.1

=== debian/changelog ===
tortoisehg (2.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #635591).
  * Update mercurial dependency.
  * Change build system to debhelper 8 and dh_python2.

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 28 Jul 2011 23:47:59 -0700

tortoisehg (2.0.5-1) unstable; urgency=low

  * New upstream release.
  * Drop build dependency on quilt, as we are using source format v3.
  * Update Standards-Version to 3.9.2.

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 07 Jul 2011 21:05:38 -0700

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,22 @@
 Priority: optional
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Uploaders: Max Bowsher <maxb@f2s.com>
-Build-Depends: debhelper (>= 7), cdbs (>= 0.4.49), python (>= 2.4), quilt
-Build-Depends-Indep: python-support (>= 0.5.3), docbook-xsl, docbook-xml,
+Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~)
+Build-Depends-Indep: docbook-xsl, docbook-xml,
  xsltproc, python-sphinx, pyqt4-dev-tools
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://tortoisehg.bitbucket.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/tortoisehg.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/tortoisehg.git
-XS-Python-Version: >= 2.4
+X-Python-Version: >= 2.4
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 1.8), mercurial (<< 1.10), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 1.9), mercurial (<< 1.11), python-gobject (>= 2.12.1),
  python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, python-iniparse, python-pygments
 Suggests: tortoisehg-nautilus
-XB-Python-Version: ${python:Versions}
 Description: Graphical tool for working with Mercurial
  TortoiseHg provides a graphical tool for interacting with the distributed
  revision control system Mercurial.  GUI support is provided for over a dozen
@@ -36,7 +35,6 @@
  python-gobject (>= 2.12.1), python-gtk2 (>= 2.10), python-gnome2,
  ${misc:Depends}, ${python:Depends}
 Recommends: ssh-askpass-gnome | ssh-askpass
-XB-Python-Version: ${python:Versions}
 Description: Graphical tool for working with Mercurial (Nautilus extension)
  TortoiseHg provides a graphical tool for interacting with the distributed
  revision control system Mercurial.  GUI support is provided for over a dozen

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_build: debian/thg.1
	dh_auto_build
	$(MAKE) -C doc html

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/etc/mercurial/hgrc.d/
	install -o 0 -g 0 -m 644 contrib/mergetools.rc debian/tmp/etc/mercurial/hgrc.d/thgmergetools.rc
	mkdir -p debian/tortoisehg/usr/share/doc/tortoisehg/html/_static/
	ln -sf ../../../../javascript/jquery/jquery.js \
	    debian/tortoisehg/usr/share/doc/tortoisehg/html/_static/jquery.js
	mkdir -p debian/tortoisehg/usr/share/man/man1/
	ln -sf thg.1.gz debian/tortoisehg/usr/share/man/man1/hgtk.1.gz

## drop automatically created file; see #424898
override_dh_clean:
	dh_auto_clean
	rm -f debian/pycompat
	rm -f debian/thg.1
	rm -fr locale doc/build
	# patches are removed before calling clean, so we need to fix what setup.py did wrong
	rm tortoisehg/util/config.py

override_dh_installdocs:
	dh_installdocs --exclude=nautilus-thg.py --exclude=mergetools.rc

override_dh_compress:
	dh_compress -X.js -X_static/* -X "_sources/*"

debian/thg.1: debian/thg.1.xml
	xsltproc --nonet \
		--param make.year.ranges 1 \
		--param make.single.year.ranges 1 \
		--param man.charmap.use.subset 0 \
		-o debian/ \
		/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
		debian/thg.1.xml

## tortoisehg 2.1.4

=== debian/changelog ===
tortoisehg (2.1.4-1) unstable; urgency=low

  * New upstream release.
  * Drop Nautilus extension as it does not support Gtk 3 (Closes: #644697,
    #612574, LP: #859104).
  * No longer remove config.py, as it will be removed by unapplying patches.
  * Add NEWS file reporting removal of toirtoisehg-nautilus.
  * Use system underscore.js instead of a private copy.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 29 Oct 2011 15:17:58 -0700

=== debian/control ===
Source: tortoisehg
Section: vcs
Priority: optional
Maintainer: Ludovico Cavedon <cavedon@debian.org>
Uploaders: Max Bowsher <maxb@f2s.com>
Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~)
Build-Depends-Indep: docbook-xsl, docbook-xml,
 xsltproc, python-sphinx, pyqt4-dev-tools
Standards-Version: 3.9.2
Homepage: http://tortoisehg.bitbucket.org/
Vcs-Git: git://git.debian.org/git/collab-maint/tortoisehg.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/tortoisehg.git
X-Python-Version: >= 2.4

Package: tortoisehg
Architecture: all
Depends: mercurial (>= 1.9), mercurial (<< 1.11), python-gobject (>= 2.12.1),
 python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
 ${python:Depends}
Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments
Description: Graphical tool for working with Mercurial
 TortoiseHg provides a graphical tool for interacting with the distributed
 revision control system Mercurial.  GUI support is provided for over a dozen
 operations, including add files, commit changes, manage ignore filter, view
 change log, merge, recover/rollback, edit configuration, synchronize
 repository, and many others.   The highlight is the interactive commit tool
 which allows easy selection of diffs from multiple files and packaging into
 changesets, and which is more powerful and easier to use than available
 alternatives such as qct and hgct (commit-tool).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_build: debian/thg.1
	dh_auto_build
	$(MAKE) -C doc html

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp/
	mkdir -p debian/tmp/etc/mercurial/hgrc.d/
	install -o 0 -g 0 -m 644 contrib/mergetools.rc debian/tmp/etc/mercurial/hgrc.d/thgmergetools.rc
	mkdir -p debian/tmp/usr/share/doc/tortoisehg/html/_static/
	ln -sf ../../../../javascript/jquery/jquery.js \
	    debian/tmp/usr/share/doc/tortoisehg/html/_static/jquery.js
	ln -sf ../../../../javascript/underscore/underscore.js \
	    debian/tmp/usr/share/doc/tortoisehg/html/_static/underscore.js
	mkdir -p debian/tmp/usr/share/man/man1/
	ln -sf thg.1.gz debian/tmp/usr/share/man/man1/hgtk.1.gz

## drop automatically created file
override_dh_clean:
	dh_auto_clean
	rm -f debian/pycompat
	rm -f debian/thg.1
	rm -fr locale doc/build

override_dh_installdocs:
	dh_installdocs --exclude=nautilus-thg.py --exclude=mergetools.rc

override_dh_compress:
	dh_compress -X.js -X_static/* -X "_sources/*"

debian/thg.1: debian/thg.1.xml
	xsltproc --nonet \
		--param make.year.ranges 1 \
		--param make.single.year.ranges 1 \
		--param man.charmap.use.subset 0 \
		-o debian/ \
		/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
		debian/thg.1.xml

## tortoisehg 2.2

=== debian/changelog ===
tortoisehg (2.2-1) unstable; urgency=low

  * New upstream version (Closes: #647780).
  * Add menu and desktop entry for workbench (Closes: #647266).
  * Use .links file rather than create symlinks in the rules file.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 13 Nov 2011 23:31:03 -0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 1.9), mercurial (<< 1.11), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 2.0~), mercurial (<< 2.2), python-gobject (>= 2.12.1),
  python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments

## tortoisehg 2.4

=== debian/changelog ===
tortoisehg (2.4-1~bpo60+2) squeeze-backports; urgency=low

  * Reupload to squeeze-backports with the same tarball in the main
    archive.

 -- Javi Merino <vicho@debian.org>  Mon, 18 Mar 2013 10:46:25 +0100

tortoisehg (2.4-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Remove Nautilus extension as it needs gobject introspection

 -- Javi Merino <vicho@debian.org>  Sun, 08 Jul 2012 12:58:10 -0600

tortoisehg (2.4-1) unstable; urgency=low

  * Imported Upstream version 2.4 (Closes: #671473).
  * Re-add Nautilus extension (LP: #990527).
  * Update Standards-Version to 3.9.3.
  * Update copyright format.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 29 May 2012 00:59:17 -0700

tortoisehg (2.3-1) unstable; urgency=low

  * Imported Upstream version 2.3 (Closes: #660387, #658140).
  * Update dependency on Merurual (2.1, 2.2).

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 20 Feb 2012 22:03:12 -0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~)
 Build-Depends-Indep: docbook-xsl, docbook-xml,
  xsltproc, python-sphinx, pyqt4-dev-tools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://tortoisehg.bitbucket.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/tortoisehg.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/tortoisehg.git
@@ -14,7 +14,7 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 2.0~), mercurial (<< 2.2), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 2.1~), mercurial (<< 2.3~), python-gobject (>= 2.12.1),
  python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments

=== debian/rules ===
--- 
+++ 
@@ -16,15 +16,15 @@
 	    debian/tmp/usr/share/doc/tortoisehg/html/_static/jquery.js
 	ln -sf ../../../../javascript/underscore/underscore.js \
 	    debian/tmp/usr/share/doc/tortoisehg/html/_static/underscore.js
-	mkdir -p debian/tmp/usr/share/man/man1/
-	ln -sf thg.1.gz debian/tmp/usr/share/man/man1/hgtk.1.gz
 
-## drop automatically created file
+## drop automatically created file; see #424898
 override_dh_clean:
-	dh_auto_clean
+	dh_clean
 	rm -f debian/pycompat
 	rm -f debian/thg.1
 	rm -fr locale doc/build
+	# patches are removed before calling clean, so we need to fix what setup.py did wrong
+	rm tortoisehg/util/config.py
 
 override_dh_installdocs:
 	dh_installdocs --exclude=nautilus-thg.py --exclude=mergetools.rc

## tortoisehg 2.8

=== debian/changelog ===
tortoisehg (2.8-1) unstable; urgency=low

  * Imported Upstream version 2.8 (Closes: #702715, #704117, #710757).
  * Upload to unstable.
  * Update mercurial version dependency.
  * Update Vcs- fields to canonical format.
  * Update Standards-Version to 3.9.4.
  * Use upstream tortoisehg.desktop file and add desktop-keywords.patch to add
    keywords to it.
  * Fix clean target.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 02 Jun 2013 02:16:48 -0700

tortoisehg (2.6-1) experimental; urgency=low

  * Imported Upstream version 2.6 (Closes: #689707).
  * Remove fix-config-path.patch (applied upstream).
  * Update copyright.
  * Update mercurial version dependency.
  * Update location of nautilus extension.
  * Fix linking to system JS libraries.
  * Symlink duplicated email1.png file.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 01 Dec 2012 19:25:02 -0800

tortoisehg (2.4-2) unstable; urgency=medium

  * Add fix-config-path.patch to fix crash on new installations of
    tortoisehg-nautilus (Closes: #678558, LP: #1024136).

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 16 Sep 2012 22:39:10 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,19 @@
 Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~)
 Build-Depends-Indep: docbook-xsl, docbook-xml,
  xsltproc, python-sphinx, pyqt4-dev-tools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://tortoisehg.bitbucket.org/
-Vcs-Git: git://git.debian.org/git/collab-maint/tortoisehg.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/tortoisehg.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/tortoisehg.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tortoisehg.git
 X-Python-Version: >= 2.4
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 2.1~), mercurial (<< 2.3~), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 2.5~), mercurial (<< 2.7~), python-gobject (>= 2.12.1),
  python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments
+Suggests: tortoisehg-nautilus
 Description: Graphical tool for working with Mercurial
  TortoiseHg provides a graphical tool for interacting with the distributed
  revision control system Mercurial.  GUI support is provided for over a dozen
@@ -28,3 +29,20 @@
  changesets, and which is more powerful and easier to use than available
  alternatives such as qct and hgct (commit-tool).
 
+Package: tortoisehg-nautilus
+Architecture: all
+Depends: tortoisehg (>= ${source:Version}), python-nautilus (>= 1.1-2),
+ python-gi, ${misc:Depends}, ${python:Depends}
+Recommends: ssh-askpass-gnome | ssh-askpass
+Description: Graphical tool for working with Mercurial (Nautilus extension)
+ TortoiseHg provides a graphical tool for interacting with the distributed
+ revision control system Mercurial.  GUI support is provided for over a dozen
+ operations, including add files, commit changes, manage ignore filter, view
+ change log, merge, recover/rollback, edit configuration, synchronize
+ repository, and many others.   The highlight is the interactive commit tool
+ which allows easy selection of diffs from multiple files and packaging into
+ changesets, and which is more powerful and easier to use than available
+ alternatives such as qct and hgct (commit-tool).
+ .
+ This package contains the Nautilus extension for TortoiseHg.
+

## tortoisehg 2.9.2

=== debian/changelog ===
tortoisehg (2.9.2-1) unstable; urgency=low

  * Imported Upstream version 2.9.2
  * Handle renaming of file tortoisehg.desktop to thg.desktop.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 13 Oct 2013 16:05:33 -0700

tortoisehg (2.9-1) unstable; urgency=low

  [ Andrew Shadura ]
  * Imported Upstream version 2.9.
  * Update mercurial version dependency.

  [ Ludovico Cavedon ]
  * Update debian/copyright.

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 28 Aug 2013 18:41:40 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 2.5~), mercurial (<< 2.7~), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 2.7~), mercurial (<< 2.8~), python-gobject (>= 2.12.1),
  python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments

## tortoisehg 2.10

=== debian/changelog ===
tortoisehg (2.10-1) unstable; urgency=low

  * Imported Upstream version 2.10
  * Update required mercurial version.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 17 Nov 2013 15:33:11 -0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 2.7~), mercurial (<< 2.8~), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 2.7~), mercurial (<< 2.9~), python-gobject (>= 2.12.1),
  python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_build: debian/thg.1
	dh_auto_build
	$(MAKE) -C doc html

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp/
	mkdir -p debian/tmp/etc/mercurial/hgrc.d/
	install -o 0 -g 0 -m 644 contrib/mergetools.rc debian/tmp/etc/mercurial/hgrc.d/thgmergetools.rc

## drop automatically created file
override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/pycompat
	rm -f debian/thg.1
	rm -fr locale doc/build

override_dh_installdocs:
	dh_installdocs --exclude=nautilus-thg.py --exclude=mergetools.rc
	ln -sf ../../../../javascript/jquery/jquery.js \
	    debian/tortoisehg/usr/share/doc/tortoisehg/html/_static/jquery.js
	ln -sf ../../../../javascript/underscore/underscore.js \
	    debian/tortoisehg/usr/share/doc/tortoisehg/html/_static/underscore.js
	ln -sf email.png debian/tortoisehg/usr/share/doc/tortoisehg/html/_images/email1.png

override_dh_compress:
	dh_compress -X.js -X_static/* -X "_sources/*"

debian/thg.1: debian/thg.1.xml
	xsltproc --nonet \
		--param make.year.ranges 1 \
		--param make.single.year.ranges 1 \
		--param man.charmap.use.subset 0 \
		-o debian/ \
		/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
		debian/thg.1.xml

## tortoisehg 3.1.1

=== debian/changelog ===
tortoisehg (3.1.1-1) unstable; urgency=low

  * Imported Upstream version 3.1.1.
  * Add tortoisehg-nautilus dependency on gnome-icon-theme-full (Ubuntu) or
    gnome-icon-theme (Debian) (LP: #1295579).
  * Update copyright.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 21 Sep 2014 20:18:55 -0700

tortoisehg (3.1-1) unstable; urgency=medium

  * Imported Upstream version 3.1 (Closes: #757346, LP: #1366300).

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 27 Aug 2014 00:08:53 -0700

tortoisehg (3.0-1) unstable; urgency=medium

  * Imported Upstream version 3.0 (Closes: #747459).
  * Update copyright information.
  * Update versioned dependencies on mercurial.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 25 May 2014 17:00:25 +0200

tortoisehg (2.11-1) unstable; urgency=medium

  * Imported Upstream version 2.11 (Closes: #738816).
  * Update dependency on mercurial.
  * Update Standards-Version to 3.9.5.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 28 Feb 2014 22:58:31 -0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~)
 Build-Depends-Indep: docbook-xsl, docbook-xml,
  xsltproc, python-sphinx, pyqt4-dev-tools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://tortoisehg.bitbucket.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/tortoisehg.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tortoisehg.git
@@ -14,7 +14,7 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 2.7~), mercurial (<< 2.9~), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 3.0~), mercurial (<< 3.2~), python-gobject (>= 2.12.1),
  python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments
@@ -31,8 +31,12 @@
 
 Package: tortoisehg-nautilus
 Architecture: all
-Depends: tortoisehg (>= ${source:Version}), python-nautilus (>= 1.1-2),
- python-gi, ${misc:Depends}, ${python:Depends}
+Depends: gnome-icon-theme-full | gnome-icon-theme,
+         python-gi,
+         python-nautilus (>= 1.1-2),
+         tortoisehg (>= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
 Recommends: ssh-askpass-gnome | ssh-askpass
 Description: Graphical tool for working with Mercurial (Nautilus extension)
  TortoiseHg provides a graphical tool for interacting with the distributed

## tortoisehg 3.4

=== debian/changelog ===
tortoisehg (3.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Imported Upstream version 3.4 (Closes: #787515)

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 09 Jun 2015 09:58:46 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 3.0~), mercurial (<< 3.2~), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 3.4~), mercurial (<< 3.5~), python-gobject (>= 2.12.1),
  python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments

## tortoisehg 3.4.1

=== debian/changelog ===
tortoisehg (3.4.1-1) unstable; urgency=low

  * Imported Upstream version 3.4.1
  * Update Standards-Version to 3.9.6.
  * Update dependecy on mercurial to match hgversion.py.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 12 Jul 2015 12:45:11 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~)
 Build-Depends-Indep: docbook-xsl, docbook-xml,
  xsltproc, python-sphinx, pyqt4-dev-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://tortoisehg.bitbucket.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/tortoisehg.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tortoisehg.git
@@ -14,7 +14,7 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 3.4~), mercurial (<< 3.5~), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 3.3~), mercurial (<< 3.5~), python-gobject (>= 2.12.1),
  python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments

## tortoisehg 3.5.1

=== debian/changelog ===
tortoisehg (3.5.1-1) unstable; urgency=low

  * Imported Upstream version 3.5.1
  * Update dependency on mercurial (3.4 or 3.5).
  * Update symlink to thg logo for desktop file.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 20 Sep 2015 12:15:00 -0700

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 3.3~), mercurial (<< 3.5~), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 3.4~), mercurial (<< 3.6~), python-gobject (>= 2.12.1),
  python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments

## tortoisehg 3.6.2

=== debian/changelog ===
tortoisehg (3.6.2-1) unstable; urgency=low

  * Imported Upstream version 3.6.2
  * Update dependency on Mercurial 3.5 or 3.6.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 25 Dec 2015 20:32:01 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 3.4~), mercurial (<< 3.6~), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 3.5~), mercurial (<< 3.7~), python-gobject (>= 2.12.1),
  python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments

## tortoisehg 3.7.3

=== debian/changelog ===
tortoisehg (3.7.3-1) unstable; urgency=medium

  * Imported Upstream version 3.7.3 (Closes: #817869).
  * Update dependency on Mercurial 3.6 or 3.7.
  * Bump debhelper compat to 9.
  * Use HTTPS for Vcs URLs.
  * Remove menu entry as it already provides a desktop entry (CTTE #741573).
  * Update Standards-Version to 3.9.7.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 02 Apr 2016 19:07:34 -0700

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Uploaders: Max Bowsher <maxb@f2s.com>
-Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~)
+Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~)
 Build-Depends-Indep: docbook-xsl, docbook-xml,
  xsltproc, python-sphinx, pyqt4-dev-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://tortoisehg.bitbucket.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/tortoisehg.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tortoisehg.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/tortoisehg.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/tortoisehg.git
 X-Python-Version: >= 2.4
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 3.5~), mercurial (<< 3.7~), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 3.6~), mercurial (<< 3.8~), python-gobject (>= 2.12.1),
  python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments

## tortoisehg 3.8.3

=== debian/changelog ===
tortoisehg (3.8.3-1) unstable; urgency=medium

  * Team upload (collab-maint)
  * Update VCS fields
  * Update break against mercurial
  * Imported Upstream version 3.8.3 (Closes: #824018).
  * New upstream release
  * Bump std-version to 3.9.8

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Jun 2016 14:36:24 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~)
 Build-Depends-Indep: docbook-xsl, docbook-xml,
  xsltproc, python-sphinx, pyqt4-dev-tools
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://tortoisehg.bitbucket.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/tortoisehg.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/tortoisehg.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tortoisehg.git
 X-Python-Version: >= 2.4
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 3.6~), mercurial (<< 3.8~), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 3.7~), mercurial (<< 3.9~), python-gobject (>= 2.12.1),
  python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments

## tortoisehg 3.9

=== debian/changelog ===
tortoisehg (3.9-1) unstable; urgency=medium

  * Team upload (collab-maint).
  * Update break against mercurial
  * Update copyright file.
  * Imported Upstream version 3.9 (Closes: #834499).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Sep 2016 14:30:58 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 3.7~), mercurial (<< 3.9~), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 3.8~), mercurial (<< 4.0~), python-gobject (>= 2.12.1),
  python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments

## tortoisehg 4.0

=== debian/changelog ===
tortoisehg (4.0-1) unstable; urgency=medium

  * Imported Upstream version 4.0 (Closes: #846234).
  * Update copyright.
  * Update mercurial requiemrents to version 3.9 or 4.0.
  * Avoid overwriting hgext3rd/__init__.py from mercurial-common.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 06 Dec 2016 23:22:48 -0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: tortoisehg
 Architecture: all
-Depends: mercurial (>= 3.8~), mercurial (<< 4.0~), python-gobject (>= 2.12.1),
+Depends: mercurial (>= 3.9~), mercurial (<< 4.1~), python-gobject (>= 2.12.1),
  python-qt4 (>= 4.7), python-qscintilla2, ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
 Recommends: libjs-jquery, libjs-underscore, python-iniparse, python-pygments

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp/
+	# This file is already included in mercurial-common.
+	rm debian/tmp/usr/lib/python*/dist-packages/hgext3rd/__init__.py
 	mkdir -p debian/tmp/etc/mercurial/hgrc.d/
 	install -o 0 -g 0 -m 644 contrib/mergetools.rc debian/tmp/etc/mercurial/hgrc.d/thgmergetools.rc
